%global upname asciitable

Name: python-%{upname}
Version: 0.7.0.2
Release: 1%{?dist}.1
Summary: Extensible ASCII table reader and writer
License: BSD

Group: Development/Libraries
URL: http://cxc.harvard.edu/contrib/asciitable/
Source0: http://pypi.python.org/packages/source/a/%{upname}/%{upname}-%{version}.tar.gz
BuildRequires: python-devel python-nose
BuildArch: noarch

Requires: numpy

%description
An extensible ASCII table reader.  Asciitable can read a wide range of ASCII 
table formats via built-in Extension Reader Classes:
  * Basic: basic table with customizable delimiters and header configurations
  * Cds: CDS format table (also Vizier and ApJ machine readable tables)
  * CommentedHeader: column names given in a line that begins with 
  the comment character
  * Daophot: table from the IRAF DAOphot package
  * Ipac: IPAC format table
  * Latex: LaTeX tables (plain and AASTex)
  * NoHeader: basic table with no header where columns are auto-named
  * Rdb: tab-separated values with an extra line after the column 
  definition line
  * Tab: tab-separated values

%prep
%setup -n %{upname}-%{version} -q

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build

%check
nosetests --with-doctest

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root  %{buildroot}
 
%files
%doc CHANGES doc/index.rst
%{python_sitelib}/*

%changelog
* Fri Jul 15 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.7.0.2-1.1
- Removed python3 support (no python3-numpy in f14)

* Tue Jul 5 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.7.0.2-1
- New upstream version with Latex, AASTex support

* Mon Jun 6 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.6.0-2
- Adding index.rst before importing

* Mon May 30 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.6.0-1
- New upstream source
- Changed define macro by global macro

* Tue Apr 05 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.5.1-1
- New upstream source
- Building python3 package

* Tue Jan 04 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.5.0-1
- New upstream source

* Wed Nov 17 2010 Sergio Pascual <sergiopr@fedoraproject.org> - 0.3.2-1
- New upstream source

* Fri Jul 09 2010 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2.5-1
- Initial spec file
